﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace WebApplication70
{
	public delegate void calculatorResultDelegate(double result);


	public partial class Calculator : System.Web.UI.UserControl
	{
		public event calculatorResultDelegate calculatorResultEvent;

		protected void Page_Load(object sender, EventArgs e)
		{

		}

		protected void ButtonCalculate_Click(object sender, EventArgs e)
		{
			double number1;
			double number2;
			double result = 0.0;

			//Parsowanie liczb
			number1 = double.Parse(TextBox1.Text);
			number2 = double.Parse(TextBox2.Text);

			//Wykonanie obliczenia
			switch (RadioButtonList1.SelectedValue)
			{
				case "+":
					result = number1 + number2;
					break;

				case "-":
					result = number1 - number2;
					break;

				case "*":
					result = number1 * number2;
					break;

				case "/":
					result = number1 / number2;
					break;
			}

			//Przekazanie wyniku
			if (calculatorResultEvent != null)
				calculatorResultEvent(result);
		}
	}
}